<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Queue extends Model
{

    use SoftDeletes;

    protected $table = 'queue';

    protected $fillable = [
        'patient_id',
        'telemed_pros_id',
        'queue_number'
    ];

    public function patient()
    {
        return $this->belongsTo(Patient::class);
    }

    public function telemedPro()
    {
        return $this->belongsTo(TelemedPro::class);
    }

}
